/*
 * @Author: XianKaiQun
 * @Date: 2020-09-08 15:35:36
 * @LastEditors: wjc
 * @LastEditTime: 2023-01-11 09:41:43
 * @Description: 
 */
import 'dart:ui';

import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

///调色板
class WColorScheme with Diagnosticable {
  ///主色调
  final Color primary;

  ///背景
  final Color background;

  final Color background2;

  final Color background3;

  final Color background4;

  ///文本
  final Color text;

  ///次要文字
  final Color mainTitle;

  ///次要的
  final Color minor;

  ///灰色
  final Color grey;

  ///灰色
  final Color placeholder;

  ///灰色2
  final Color placeholder2;

  ///蓝色
  final Color blue;

  ///天青
  final Color cyan;

  ///绿色
  final Color green;

  ///橘黄
  final Color orange;

  /// 黄色
  final Color yellow;

  ///红色
  final Color red;

  ///紫色
  final Color purple;

  ///粉色
  final Color pink;

  ///边框、分割线
  final Color divider;

  ///边框、分割线
  final Color divider2;

  ///成功色
  final Color success;

  ///提示色
  final Color notice;

  ///警告色
  final Color warning;

  ///危险色
  final Color danger;

  ///禁用色
  final Color disabled;

  /// 底部时间
  final Color time;
  WColorScheme({
    required this.primary,
    required this.background,
    required this.background2,
    required this.background3,
    required this.background4,
    required this.text,
    required this.minor,
    required this.mainTitle,
    required this.grey,
    required this.placeholder,
    required this.placeholder2,
    required this.blue,
    required this.cyan,
    required this.green,
    required this.orange,
    required this.yellow,
    required this.red,
    required this.purple,
    required this.pink,
    required this.divider,
    required this.divider2,
    required this.success,
    required this.notice,
    required this.warning,
    required this.danger,
    required this.disabled,
    required this.time,
  });

  WColorScheme.fallback()
      : primary = const Color(0xff0F67F8),
        background = const Color(0xffF7F9FB),
        background2 = const Color(0xfff8f8f8),
        background3 = const Color(0xfffEFEFEF),
        background4 = const Color(0xFFF6F7FC),
        text = const Color(0xff343434),
        mainTitle = const Color(0xff2D3051),
        minor = const Color(0XFF616178),
        grey = const Color(0xff9FA5B7),
        placeholder = const Color(0xff999999),
        placeholder2 = const Color(0xFF9FA5B7),
        blue = const Color(0xff2E8CF0),
        cyan = const Color(0xff1CBDDF),
        green = const Color(0xff27CEAC),
        orange = const Color(0xffF99B1A),
        yellow = Color.fromARGB(255, 249, 234, 26),
        red = const Color(0xffFF495E),
        purple = const Color(0xffBC68F3),
        pink = const Color(0xffF54DA5),
        divider = const Color(0xffE5E5E5),
        divider2 = const Color(0xffECECEC),
        success = const Color(0xff26B41C),
        notice = const Color(0xffFFA200),
        warning = const Color(0xffFF7532),
        danger = const Color(0xffF9585A),
        disabled = const Color(0xffE0E2E3),
        time = const Color(0xffAAAAAA);
}
